> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kiwify.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar webhooks

> Obtenha uma lista de todos webhooks.



## OpenAPI

````yaml get /webhooks
openapi: 3.1.0
info:
  version: 1.0.0
  title: API Kiwify
  description: ''
servers:
  - url: https://public-api.kiwify.com/v1/
    description: base
security: []
tags:
  - name: Autenticação
  - name: Conta
  - name: Produtos
  - name: Vendas
  - name: Financeiro
  - name: Affiliados
  - name: Webhooks
  - name: Eventos
paths:
  /webhooks:
    get:
      tags:
        - Webhooks
      parameters:
        - name: page_size
          in: query
          schema:
            type: string
        - name: page_number
          in: query
          schema:
            type: string
        - name: product_id
          in: query
          schema:
            type: string
        - name: search
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Get Webhooks
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse'
              examples:
                Webhooks:
                  summary: Webhooks example
                  value:
                    pagination:
                      count: 10
                      page_number: 1
                      page_size: 10
                    data:
                      - id: c2be7f8e-b373-4eb7-b623-16ce98d5ed44
                        name: meu webhook
                        url: >-
                          https://webhook.site/73d28a2b-6c48-41e0-a8ad-0d5ef748ce41
                        products: all
                        triggers:
                          - boleto_gerado
                          - pix_gerado
                          - carrinho_abandonado
                          - compra_recusada
                          - compra_aprovada
                          - compra_reembolsada
                          - chargeback
                          - subscription_canceled
                          - subscription_late
                          - subscription_renewed
                        token: rxue90njjv1
                        created_at: '2023-11-24T10:06:47.540Z'
                        updated_at: '2023-11-24T10:06:47.540Z'
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OAuthErrorResponse'
              examples:
                InvalidClient:
                  value:
                    error: auth_error
                    message: 'Invalid token: access token is invalid'
          description: Solicitação Inválida
      security:
        - AccountIdHeader: []
          OAuth2:
            - webhooks
components:
  schemas:
    PaginatedResponse:
      type: object
      properties:
        pagination:
          type: object
          properties:
            count:
              type: number
              example: 10
            page_number:
              type: number
              example: 1
            page_size:
              type: number
              example: 10
        data:
          type: array
          example: []
          items: {}
    OAuthErrorResponse:
      type: object
      properties:
        error:
          type: string
          example: auth_error
        message:
          type: string
          example: 'Invalid client: client is invalid'
  securitySchemes:
    AccountIdHeader:
      type: apiKey
      in: header
      name: x-kiwify-account-id
    OAuth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: /oauth/token
          scopes:
            stats: stats
            products: products
            events: events
            sales: sales
            sales_refund: sales_refund
            financial: financial
            affiliates: affiliates
            webhooks: webhooks

````